MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
SongFilter::Item Class Reference

`#include <SongFilter.hxx>`

## Public Member Functions
| gcc_nonnull (3) Item(unsigned tag
| Item (unsigned tag, time_t time)
| Item (const Item &other)=delete
| Item (Item &&)=default
Item & | operator= (const Item &other)=delete
unsigned | GetTag () const
bool | GetFoldCase () const
const char * | GetValue () const
gcc_pure | gcc_nonnull (2) bool StringMatch(const char *s) const
gcc_pure bool | Match (const TagItem &tag_item) const
gcc_pure bool | Match (const Tag &tag) const
gcc_pure bool | Match (const DetachedSong &song) const
gcc_pure bool | Match (const LightSong &song) const

## Data Fields
const char * | value
const char bool | fold_case =false)

## Detailed Description

Definition at line 48 of file SongFilter.hxx.

## Constructor & Destructor Documentation

SongFilter::Item::Item | ( | unsigned | tag,
|  | time_t | time
| ) |  |

SongFilter::Item::Item | ( | const Item & | other | ) |
| delete

SongFilter::Item::Item | ( | Item && |  | ) |
| default

## Member Function Documentation

SongFilter::Item::gcc_nonnull | ( | 3 |  | ) |

gcc_pure SongFilter::Item::gcc_nonnull | ( | 2 |  | ) | const

bool SongFilter::Item::GetFoldCase | ( |  | ) | const
| inline

Definition at line 74 of file SongFilter.hxx.

unsigned SongFilter::Item::GetTag | ( |  | ) | const
| inline

Definition at line 70 of file SongFilter.hxx.

const char* SongFilter::Item::GetValue | ( |  | ) | const
| inline

Definition at line 78 of file SongFilter.hxx.

gcc_pure bool SongFilter::Item::Match | ( | const TagItem & | tag_item | ) | const

gcc_pure bool SongFilter::Item::Match | ( | const Tag & | tag | ) | const

gcc_pure bool SongFilter::Item::Match | ( | const DetachedSong & | song | ) | const

gcc_pure bool SongFilter::Item::Match | ( | const LightSong & | song | ) | const

Item& SongFilter::Item::operator= | ( | const Item & | other | ) |
| delete

## Field Documentation

const char bool SongFilter::Item::fold_case =false)

Definition at line 62 of file SongFilter.hxx.

const char* SongFilter::Item::value

Definition at line 62 of file SongFilter.hxx.

The documentation for this class was generated from the following file:

- SongFilter.hxx